Skip to main content
GET
/
actions
List all actions
curl --request GET \
  --url https://api.open.cx/actions
[
  {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "api_endpoint": "<string>",
    "request_type": "<string>",
    "operation_id": "<string>",
    "payload": {
      "base_url": "<string>",
      "path": "<string>",
      "method": "<string>",
      "operationId": "<string>",
      "summary": "<string>",
      "description": "<string>",
      "parameters": [
        {
          "name": "<string>",
          "in": "query",
          "description": "<string>",
          "required": true,
          "schema": {}
        }
      ],
      "requestBody": {
        "content": {},
        "description": "<string>",
        "required": true
      },
      "responses": {}
    },
    "status": "<string>",
    "pinned": true,
    "tags": [
      "<string>"
    ],
    "enabled_on_channel": {
      "channels": [
        "web"
      ]
    },
    "is_handoff_like": true,
    "require_form_submission": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Response

Default Response

id
string
required

Unique action ID

name
string
required

Action display name

description
string | null
required

What this action does

api_endpoint
string | null
required

The API endpoint URL this action calls

request_type
string | null
required

HTTP method (GET, POST, PUT, PATCH, DELETE)

operation_id
string | null
required

Unique operation ID used to reference this action

payload
object
required

OpenAPI-style operation spec defining parameters, request body, and responses

status
string | null
required

Action status (e.g. "live")

pinned
boolean
required

Whether this action is pinned prominently

tags
string[]
required

Tags for organizing actions

enabled_on_channel
object
required

Channel restrictions

is_handoff_like
boolean
required

Whether this action behaves like a handoff to a human agent

require_form_submission
boolean | null
required

Whether a form must be submitted before the action executes

created_at
string<date-time>
required

When the action was created

updated_at
string<date-time>
required

When the action was last updated